.btn {
    color: $white;
    outline: none;
    cursor: pointer;
    font-weight: 500;
    height: rem(44);
    font-size: rem(16);
    line-height: rem(24);
    padding: rem(8) rem(24);
    user-select: none;
    text-align: center;
    white-space: nowrap;
    position: relative;
    text-decoration: none;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    vertical-align: middle;
    border: rem(3) solid transparent;
    background: $blue;
    border-radius: rem(8);
    fill: $white;

    &:hover {
        color: $white;
        background: #0A7ABF;
        text-decoration: none;
        fill: $white;
    }

    &:active {
        background: $blue;
    }

    &:focus,
    &.focus {
        outline: 0;
        box-shadow: 0 0 0 size-rel(5px) rgba(92, 173, 255, 0.5);
    }

    span {
        display: inline-block;
    }

    i {
        font-size: 0;
        line-height: 0;
        display: inline-block;
        height: rem(24);
    }

    span + i {
        margin-left: rem(6);
    }

    i + span {
        margin-left: rem(6);
    }
}

.btn-border {
    fill: $dark;
    color: $dark;
    background: $white;
    border-color: $blue;

    &:hover {
        fill: $blue;
        color: $blue;
        background: $white;
    }

    &:active {
        background: $white;
        border-color: $blue;
    }
}

.btn-text {
    color: #757575;
    font-weight: 400;
    text-decoration: underline;
    background: transparent;

    &:hover {
        color: $blue;
        text-decoration: none;
        background: transparent;
    }

    &:active {
        color: #757575;
    }
}

.btn-link {
    margin: 0;
    padding: 0;
    color: $black;
    border: none;
    outline: none;
    cursor: pointer;
    display: inline-flex;
    background: transparent;
    text-decoration: underline;

    &:hover {
        color: $black;
        text-decoration: none;
    }
}

.btn-icon {
    border: none;
    outline: none;
    font-size: 0;
    line-height: 0;
    width: rem(40);
    height: rem(30);
    background: $blue;
    fill: $white;
    border-radius: rem(5);
    display: inline-flex;
    align-items: center;
    justify-content: center;

    i {
        height: rem(19);
        display: inline-block;
        flex-shrink: 0;
    }
}

.btn-inline {
    margin: rem(-6);
    display: flex;
    flex-wrap: wrap;
    align-items: center;

    &__item {
        padding: rem(6);
    }

    @include media-breakpoint-up(md) {
        margin: rem(-6) rem(-10);

        &__item {
            padding: rem(6) rem(10);
        }
    }
}

.btn-round {
    border: none;
    outline: none;
    font-size: 0;
    line-height: 0;
    width: rem(29);
    height: rem(29);
    background: $blue;
    fill: $white;
    border-radius: 50%;
    display: inline-flex;
    align-items: center;
    justify-content: center;

    &--yellow {
        background: #EBB30C;
    }
}

.btn-sm {
    height: rem(30);
    font-size: rem(12);
    line-height: rem(19);
    padding: rem(2) rem(16);
}

.btn-md {
    height: rem(48);
}
